[Overview][Procedures and functions][Index] | Reference for unit 'lineinfo' (#rtl)

# GetLineInfo

Return source line information about an address.

## Declaration

Source position: lineinfo.pp line 25

`function GetLineInfo(`
`addr: ptruint;`
`var func: string;`
`var source: string;`
`var line: LongInt`
`):Boolean;`

## Arguments

`addr` |  | Address to examine
`func` |  | Name of function in which Addr resides.
`source` |  | Source file in which Addr was implemented.
`line` |  | Line number on which Addr was implemented.

## Function result

True if the line information was found, False if not.

## Description

GetLineInfo returns source line information about the address addr. It searches this information in the stabs debugging information found in the binary: If the file was compiled without debug information, nothing will be returned. Upon succesful retrieval of the debug information, True is returned, and the func parameter is filled with the name of the function in which the address is located. The source parameter contains the name of the file in which the function was implemented, and line contains the line number in the source file for addr.

## Errors

If no debug information is found, False is returned.

Documentation generated on: Feb 26 2014